Table of Contents

## Name

XtAppGetErrorDatabase, XtAppGetErrorDatabaseText - obtain error database

## Syntax

XrmDatabase *XtAppGetErrorDatabase(XtAppContext app_context);
void XtAppGetErrorDatabaseText(XtAppContext app_context, char
  *name, char *type, char *class, char *default, char *buffer_return, int nbytes, XrmDatabase database);

## Arguments

app_context
  Specifies the application context.
buffer_return
  Specifies the buffer into which the error message is to be returned.
class
  Specifies the resource class of the error message.
database
  Specifies the name of the alternative database that is to be used or NULL if the application's database is to be used.
default
  Specifies the default message to useDm.
name
type
  Specifies the name and type that are concatenated to form the resource name of the error message.
nbytes
  Specifies the size of the buffer in bytes.

## Description

The XtAppGetErrorDatabase function returns the address of the error database. The Intrinsics do a lazy binding of the error database and do not merge in the database file until the first call to XtAppGetErrorDatbaseText.

The XtAppGetErrorDatabaseText returns the appropriate message from the error database or returns the specified default message if one is not found in the error database.

## See Also

XtAppError(3Xt) , XtAppErrorMsg(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also